"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.question = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
async function question(templateMonad) {
    if (templateMonad.hashAlg !== undefined)
        return templateMonad;
    let hashAlg = "";
    await inquirer_1.default
        .prompt([
        {
            type: "list",
            message: "Select the hash algorithm.",
            name: "hashAlg",
            choices: [
                {
                    name: "SHA2_256",
                    value: "SHA2_256",
                },
                {
                    name: "SHA3_256",
                    value: "SHA3_256",
                },
            ],
            validate(answer) {
                if (!answer) {
                    return "You must choose a hash algorithm.";
                }
                return true;
            },
        },
    ])
        .then(answers => {
        hashAlg = answers.hashAlg;
    });
    return {
        ...templateMonad,
        hashAlg,
    };
}
exports.question = question;
