"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.question = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const logger_1 = require("../../utils/logger");
async function question(templateMonad) {
    var _a;
    if (templateMonad.account !== undefined)
        return templateMonad;
    logger_1.logger.default("\n🌱 Collecting account to perform audit\n");
    const flowJSONAccounts = (_a = templateMonad.flowJSON) === null || _a === void 0 ? void 0 : _a.accounts;
    const flowJSONAccountsKeys = Object.keys(flowJSONAccounts);
    let selectedAccount = "";
    await inquirer_1.default.prompt([
        {
            type: "list",
            message: "Select the account to generate the audit.",
            name: "account",
            choices: flowJSONAccountsKeys.map(accountName => ({
                name: accountName,
                value: accountName,
            })),
            validate(answer) {
                if (!answer) {
                    return "You must choose one account.";
                }
                return true;
            },
        },
    ]).then(answers => {
        selectedAccount = answers.account;
    });
    return {
        ...templateMonad,
        account: flowJSONAccounts[selectedAccount],
    };
}
exports.question = question;
