"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.question = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const fcl = tslib_1.__importStar(require("@onflow/fcl"));
async function question(templateMonad) {
    var _a;
    const flowJSONNetworks = (_a = templateMonad.flowJSON) === null || _a === void 0 ? void 0 : _a.networks;
    const networks = Object.keys(flowJSONNetworks);
    let signerNetwork = "";
    let accessNodeAPI = "";
    await inquirer_1.default
        .prompt([
        {
            type: "list",
            message: "Select network the auditor account exists on:",
            name: "nw",
            choices: networks.map(nw => ({
                name: nw,
                value: nw,
            })),
            validate(answer) {
                if (networks[answer])
                    return "Unavailable network";
                return true;
            },
        },
    ])
        .then(answers => {
        signerNetwork = answers.nw;
        accessNodeAPI = flowJSONNetworks[answers.nw];
    });
    await fcl.config().put("accessNode.api", accessNodeAPI);
    return {
        ...templateMonad,
        accessNodeAPI,
        signerNetwork,
    };
}
exports.question = question;
