"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.question = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
async function question(templateMonad) {
    var _a;
    if (templateMonad.keyId !== undefined)
        return templateMonad;
    const account = (_a = templateMonad.account) === null || _a === void 0 ? void 0 : _a.address;
    let selectedKeyId = 0;
    await inquirer_1.default
        .prompt([
        {
            type: "input",
            message: `Input the key id for key on account ${account}:`,
            name: "keyId",
            validate(answer) {
                if (typeof answer === undefined ||
                    !Number.isInteger(Number(answer))) {
                    return "You must choose a key id (number).";
                }
                return true;
            },
        },
    ])
        .then(answers => {
        selectedKeyId = Number(answers.keyId);
    });
    return {
        ...templateMonad,
        keyId: selectedKeyId,
    };
}
exports.question = question;
