"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.question = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
async function question(templateMonad) {
    if (templateMonad.sigAlg !== undefined)
        return templateMonad;
    let sigAlg = "";
    await inquirer_1.default.prompt([
        {
            type: "list",
            message: "Select the signature algorithm.",
            name: "sigAlg",
            choices: [
                {
                    name: "ECDSA_P256",
                    value: "ECDSA_P256",
                },
                {
                    name: "ECDSA_secp256k1",
                    value: "ECDSA_secp256k1",
                },
            ],
            validate(answer) {
                if (!answer) {
                    return "You must choose a signature algorithm.";
                }
                return true;
            },
        },
    ]).then(answers => {
        sigAlg = answers.sigAlg;
    });
    return {
        ...templateMonad,
        sigAlg,
    };
}
exports.question = question;
