"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.question = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const logger_1 = require("../../utils/logger");
async function question(templateMonad) {
    logger_1.logger.default("\n🌱 Collecting interaction type\n");
    const file = templateMonad.file;
    const detectedScript = file.content.match(/pub fun main/g);
    const detectedTransaction = !detectedScript && file.content.match(/transaction/g);
    let type = "";
    await inquirer_1.default.prompt([
        {
            type: "list",
            message: `[${file === null || file === void 0 ? void 0 : file.path}] Select the type of interaction:`,
            name: "type",
            default: detectedTransaction ? "transaction" : "script",
            choices: [
                {
                    name: `transaction ${detectedTransaction ? "(detected)" : ""}`,
                    value: "transaction",
                },
                {
                    name: `script ${detectedScript ? "(detected)" : ""}`,
                    value: "script",
                },
            ],
            validate(answer) {
                if (answer.length === 0) {
                    return "You must choose an interaction type";
                }
                return true;
            },
        },
    ]).then(answers => {
        type = answers.type;
    });
    return {
        ...templateMonad,
        type,
    };
}
exports.question = question;
