"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.question = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const logger_1 = require("../../utils/logger");
async function question(templateMonad) {
    logger_1.logger.default("\n🌱 Collecting interface id [optional]\n");
    const file = templateMonad.file;
    let iface = "";
    await inquirer_1.default
        .prompt([
        {
            type: "input",
            message: `[${file === null || file === void 0 ? void 0 : file.path}] Input the id of the Interaction Template Interface that this Interaction Template will conform to [optional]:`,
            name: "iface",
            validate(answer) {
                return true;
            },
        },
    ])
        .then(answers => {
        iface = answers.iface;
    });
    return {
        ...templateMonad,
        iface,
    };
}
exports.question = question;
