"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.question = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
async function question(files) {
    if (files.length > 1) {
        await inquirer_1.default.prompt([
            {
                type: "checkbox",
                message: "Select .cdc files to generate templates for.",
                name: "files",
                choices: files.map(file => ({
                    name: file.path,
                    value: file,
                })),
                validate(answer) {
                    if (answer.length === 0) {
                        return "You must choose at least one .cdc file.";
                    }
                    return true;
                },
            },
        ]).then(answers => {
            return answers.files;
        });
    }
    return files;
}
exports.question = question;
