"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.question = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
async function question(flowJSON) {
    const flowJSONNetworks = flowJSON === null || flowJSON === void 0 ? void 0 : flowJSON.networks;
    const networks = Object.keys(flowJSONNetworks);
    let network = "";
    await inquirer_1.default.prompt([
        {
            type: "list",
            message: "Select network to verify audit on:",
            name: "nw",
            choices: networks.map(nw => ({
                name: nw,
                value: nw,
            })),
            validate(answer) {
                if (networks[answer])
                    return "Unavailable network";
                return true;
            },
        },
    ]).then(answers => {
        network = answers.nw;
    });
    return network;
}
exports.question = question;
