"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupTestnet = exports.setupMainnet = exports.changeFCLEnvironment = void 0;
const tslib_1 = require("tslib");
const fcl_1 = require("@onflow/fcl");
//@ts-ignore
const json = tslib_1.__importStar(require("./c2j.json"));
//@ts-ignore
const catalogJson = tslib_1.__importStar(require("./catalog_c2j.json"));
function changeFCLEnvironment(input) {
    if (input === 'mainnet') {
        setupMainnet();
    }
    else if (input === 'testnet') {
        setupTestnet();
    }
}
exports.changeFCLEnvironment = changeFCLEnvironment;
function setupMainnet() {
    (0, fcl_1.config)({
        "accessNode.api": "https://rest-mainnet.onflow.org",
        "discovery.wallet": "https://fcl-discovery.onflow.org/authn",
        "app.detail.title": "NFT Metadata",
        "app.detail.icon": "https://assets.website-files.com/5f734f4dbd95382f4fdfa0ea/62743866c2a1ff97d43bb844_Group%2010.svg"
    });
    Object.keys(json.vars["mainnet"]).forEach((contractAddressKey) => {
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        fcl_1.config.put(contractAddressKey, 
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        json.vars["mainnet"][contractAddressKey]);
    });
    Object.keys(catalogJson.vars["mainnet"]).forEach((contractAddressKey) => {
        // @ts-ignore
        if (contractAddressKey.indexOf("0xNFTCatalog") > 0) {
            // eslint-disable-next-line @typescript-eslint/ban-ts-comment
            // @ts-ignore
            fcl_1.config.put("0xNFTCatalogAdmin", catalogJson.vars["mainnet"][contractAddressKey]);
        }
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        fcl_1.config.put(contractAddressKey, 
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        catalogJson.vars["mainnet"][contractAddressKey]);
    });
}
exports.setupMainnet = setupMainnet;
function setupTestnet() {
    (0, fcl_1.config)({
        "accessNode.api": "https://rest-testnet.onflow.org",
        "discovery.wallet": "https://fcl-discovery.onflow.org/testnet/authn",
        "app.detail.title": "NFT Metadata",
        "app.detail.icon": "https://assets.website-files.com/5f734f4dbd95382f4fdfa0ea/62743866c2a1ff97d43bb844_Group%2010.svg"
    });
    Object.keys(json.vars["testnet"]).forEach((contractAddressKey) => {
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        fcl_1.config.put(contractAddressKey, 
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        json.vars["testnet"][contractAddressKey]);
    });
    Object.keys(catalogJson.vars["testnet"]).forEach((contractAddressKey) => {
        // @ts-ignore
        if (contractAddressKey.indexOf("0xNFTCatalog") > 0) {
            // eslint-disable-next-line @typescript-eslint/ban-ts-comment
            // @ts-ignore
            fcl_1.config.put("0xNFTCatalogAdmin", catalogJson.vars["testnet"][contractAddressKey]);
        }
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        fcl_1.config.put(contractAddressKey, 
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        catalogJson.vars["testnet"][contractAddressKey]);
    });
}
exports.setupTestnet = setupTestnet;
