"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readFiles = void 0;
const tslib_1 = require("tslib");
const glob_1 = tslib_1.__importDefault(require("glob"));
const node_fs_1 = tslib_1.__importDefault(require("node:fs"));
function readFiles(pattern) {
    return new Promise((res, rej) => {
        try {
            (0, glob_1.default)(pattern, {}, function (err, paths) {
                const fileReadPromises = paths.map(path => new Promise((fsRes, fsRej) => {
                    try {
                        node_fs_1.default.readFile(path, "utf8", function (err, data) {
                            if (err) {
                                fsRej(err);
                                return;
                            }
                            const file = {
                                path,
                                content: data,
                            };
                            fsRes(file);
                        });
                    }
                    catch (error) {
                        fsRej(error);
                    }
                }));
                return Promise.all(fileReadPromises).then((files) => res(files));
            });
        }
        catch (error) {
            rej(error);
        }
    });
}
exports.readFiles = readFiles;
