"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeFile = void 0;
const tslib_1 = require("tslib");
const node_fs_1 = tslib_1.__importDefault(require("node:fs"));
const path_1 = tslib_1.__importDefault(require("path"));
async function writeFile(filePath, content) {
    return new Promise((res, rej) => {
        var dirname = path_1.default.dirname(filePath);
        if (!node_fs_1.default.existsSync(dirname)) {
            node_fs_1.default.mkdirSync(dirname, { recursive: true });
        }
        node_fs_1.default.writeFile(filePath, content, {
            encoding: "utf8",
            flag: "w",
            mode: 0o666
        }, err => {
            if (err)
                rej(err);
            else {
                res();
            }
        });
    });
}
exports.writeFile = writeFile;
