"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateTemplate = void 0;
const tslib_1 = require("tslib");
const fcl = tslib_1.__importStar(require("@onflow/fcl"));
const template = `{
    "f_type": "InteractionTemplate",
    "f_version": "1.0.0",
    "id": "",
    "data": {
      "type": "",
      "interface": "",
      "messages": {},
      "cadence": "",
      "dependencies": {},
      "arguments": {}
    }   
}`;
const genTemplate = () => JSON.parse(template);
async function generateTemplate({ type, iface, messages, cadence, dependencies, args, }) {
    const template = genTemplate();
    template.data.type = type;
    template.data.interface = iface;
    template.data.messages = messages;
    template.data.cadence = cadence;
    template.data.dependencies = dependencies;
    template.data.arguments = args;
    template.id = await fcl.InteractionTemplateUtils.generateTemplateId({
        template,
    });
    return template;
}
exports.generateTemplate = generateTemplate;
